Redmine - Feature #33641

Show badges that indicate author in issue journal, news comments, and forum replies
2020-06-21 07:14 - Go MAEDA

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

The attached patch adds badges to issue journal, news comments, and forum replies that indicate if the post is made by the author
or the assignee.

| got the idea for this feature from Bugzilla and found it useful.

Issue journal:
The issue is added by John Smith, and the current assignee is Dave Lopper.

History | Notes

Updated by John Smith 3 days ago
* Description updated (diff)

+ Searchable field changed from O/d value to New value
¢ File ¢ added

A comment with inline image: and a reference to #1 and r2.
Updated by Redmine Admin 3 minutes ago
Hello
Updated by Dave Lopper 2 minutes ago
Redmine Admin wrote in #note-2:
Hello

Hi

News comments:

eCookbook first release !

First version was released...
Added by John Smith almost 14 years ago

eCookbook 1.0 has been released.

Visit & http://ecookbook.somenet.foo/

Comments
Added by Redmine Admin over 13 years ago
my first comment

Added by John Smith over 13 years ago

This is an other comment

Add a comment

Forum replies:
Forums » Help »
First post
Added by Redmine Admin about 13 years ago

This is the very first post
in the forum

# foo.zip (452 Bytes) +

Replies (2)
First reply - Added by Redmine Admin about 13 years ago
Reply to the first post
RE: First post - Added by John Smith about 13 years ago

An other reply

(1-2/2)

The similar feature of Bugzilla:
name conflicts are worth extra hassle.

timeless v

Updated « 18 years ago

Component: Creating/Changing Bugs - attachment and request management

Comment 32 » 18 years ago

*kk Bug—161484 has been marked as a duplicate of this bug. sxx

g Dave Miller [:justdave] »

Comment 33 * 18 years ago

Attached patch ing (obsolete) — Details — Splin

This patch takes the previous one and updates it for attachment.cgi (previous
one was against showattachment.cgi), and also adds the capability to edit the

History

#1 - 2020-07-04 10:22 - Go MAEDA
- File author-and-assignee-badge-v2.patch added

Slightly updated the patch and added test code.

#2 - 2020-07-05 09:20 - Go MAEDA
- File 33641-v3.patch added

#3 - 2020-07-08 05:54 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2020-07-08 08:23 - Mizuki ISHIKAWA

+1

#5 - 2020-07-08 13:39 - Vasili Korol

The idea is nice. But what if the assignee changes? | personally would find the "jumping" "Assignee" badge confusing. Marking all previous assignees
as "Assignee" would also look weird. An alternative solution would be to introduce another badge, smth like "Ex-assignee", but that'd produce too
much info..
Maybe a separate badge for the assigned person isn't needed at all, since their avatar is already shown together with the author's. So, their status is
kind of emphasized already.

#6 - 2020-07-27 15:59 - Go MAEDA

Vasili Korol wrote:

Maybe a separate badge for the assigned person isn't needed at all, since their avatar is already shown together with the author's. So, their
status is kind of emphasized already.

Thank you for your feedback. | have updated the patch and dropped "Assignee" badge. Further feedbacks welcome.

#7 - 2020-12-28 03:29 - Go MAEDA
- File 3364 1-v4.patch added

Go MAEDA wrote:
Vasili Korol wrote:
Maybe a separate badge for the assigned person isn't needed at all, since their avatar is already shown together with the author's. So, their
status is kind of emphasized already.

Thank you for your feedback. | have updated the patch and dropped "Assignee" badge. Further feedbacks welcome.

Updated the patch. | have removed the "Assignee" badge from the previous patch.

#8 - 2023-01-25 08:13 - Go MAEDA
- File 33641-v5.patch added

- Subject changed from Show badges that indicate author or assignee in issue journal, news comments, and forum replies to Show badges that

indicate author in issue journal, news comments, and forum replies

Updated the patch for r22076.

#9 - 2023-01-30 13:22 - Fernando Hartmann

+1

Files

issue-journal.png 80 KB 2020-06-21 Go MAEDA
news-comments.png 74.7 KB 2020-06-21 Go MAEDA
forum-replies.png 76.7 KB 2020-06-21 Go MAEDA
bugzilla.png 150 KB 2020-06-21 Go MAEDA
author-and-assignee-badge.patch 5.9 KB 2020-06-21 Go MAEDA
author-and-assignee-badge-v2.patch 7.57 KB 2020-07-04 Go MAEDA
33641-v3.patch 11.5 KB 2020-07-05 Go MAEDA
33641-v4.patch 6.84 KB 2020-12-28 Go MAEDA
33641-v5.patch 6.67 KB 2023-01-25 Go MAEDA
